package com.example.user.kucharka;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.view.View;
import android.os.Bundle;
import android.widget.EditText;
import android.widget.Toast;

public class PridatRecept extends Activity {

    EditText etNazev, etPrisady, etPopis;
    Context context = this;
    Database db = new Database(this);
    Alert Alert = new Alert(context);

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_pridat_recept);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);

        etNazev = (EditText)findViewById(R.id.etNazev);
        etPrisady = (EditText)findViewById(R.id.etPrisady);
        etPopis = (EditText)findViewById(R.id.etPopis);
    }

    public void Ulozit(View v){


        if(!etNazev.getText().toString().equals("")
                &&!etPrisady.getText().toString().equals("")
                &&!etPopis.getText().toString().equals("")){
            try {

                String nazev = etNazev.getText().toString();
                String prisady = etPrisady.getText().toString();
                String popis = etPopis.getText().toString();
                db.insertRecept(new Recept(nazev, prisady, popis));
                Toast.makeText(this, "Uspesne ulozeno!", Toast.LENGTH_LONG).show();

                Back(null);
            }catch (Exception e){
            }
            }else{
            Alert.show("Chyba", "Nezadal jste nejake policko!");
        }
    }

    public void Back(View v){
        Intent i = new Intent(PridatRecept.this, VyberReceptu.class);
        startActivity(i);
        finish();
    }
}
