package com.example.user.kucharka;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class WebOtevritRecept extends Activity {

    TextView tvNazev, tvPrisady, tvPopis;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_web_otevrit_recept);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);

        tvNazev = (TextView)findViewById(R.id.tvWNazev);
        tvPrisady = (TextView)findViewById(R.id.tvWPrisady);
        tvPopis = (TextView)findViewById(R.id.tvWPopis);

        Intent i = getIntent();
        tvNazev.setText(i.getStringExtra("nazev"));
        tvPrisady.setText("Prisady:\n\n"+i.getStringExtra("prisady"));
        tvPopis.setText("Popis:\n\n" + i.getStringExtra("popis"));

        Button back = (Button)findViewById(R.id.back);
        back.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(WebOtevritRecept.this, WebReceptsActivity.class);
                startActivity(i);
                finish();
            }
        });
    }
}
